/*
 *  edlib.h v1.1 Copyright 1989 Edwin Hoogerbeets
 *
 *  This code may be freely redistributed as long as no cost is levied
 *  for it and that this copyright notice remains intact.
 *
 *  edlib contains a bunch of routines that are listed in H&S that are
 *  not in the Manx libraries. Also contains other public domain as well
 *  as freely redistributable routines.
 *
 *  The library was compiled with Manx 3.6a.
 */
#include <exec/types.h>
#define EFAULT 11         /* for chdir */
#define TYPE_DIR  1       /* for filetype */
#define TYPE_FILE 2
#define isdir(a)          (filetype(a) == TYPE_DIR)
#define isfile(a)         (filetype(a) == TYPE_FILE)
#define MDMINEXPT         -323
#define MDMINFRAC         "494065645841246544"
#define ZERO              0.0
#define MDMAXEXPT         309
#define MDMAXFRAC         "17976931348623147"
#define HUGE              1.7976931348623147e308

/* character processing functions */
extern int   isbdigit();  /* is the character a `1' or a `0'? */
extern int   iscsym();    /* character part of a valid C symbol? */
extern int   iscsymf();   /* character valid a first char in a C symbol? */
extern int   toint();     /* converts a character 0..f to its hexadecimal value */
extern int   isodigit();  /* is this an octal digit? */

/* string processing functions */
extern char *basename();  /* find the file name in a full path name */
extern int  bintoint();   /* these three take character strings and return the */
extern int  dectoint();   /* int value of the number in the string */
extern int  hextoint();
extern char *stoupper();  /* converts a string to entirely upper case chars */
extern char *stolower();  /* converts a string to entirely lower case chars */
extern int  strpos();     /* gives position of first occurance of char in string */
extern int  strrpos();    /* gives position of last occurance of char in string */
extern char *strrpbrk();
extern int  stricmp();    /* case insensitive string compare */
extern int  strnicmp();   /* " with a certain length */
extern int  strcspn();
extern char *strpbrk();   /* these four courtesy Daniel J. Barrett */
extern char *strtok();
extern int  strspn();
extern double strtod();   /* convert a string to a double */
extern char *strdup();    /* return a duplicate of a string */

/* other functions */
extern int  chdir();      /* change directory to given path */
extern char *getcwd();    /* get current working directory */
extern int  filetype();   /* return whether name is dir or file */

/* definitions to use getopt() */
extern int getopt();
extern char *optarg;
extern int optind;




